## com.vividsolutions.jts.operation.union
Class UnionInteracting

    java.lang.Object
      com.vividsolutions.jts.operation.union.UnionInteracting

public class UnionInteracting
extends java.lang.Object

Experimental code to union MultiPolygons with processing limited to the elements which actually interact. Not currently used, since it doesn't seem to offer much of a performance advantage.

Author:
  mbdavis

Constructor Summary
`UnionInteracting(Geometry g0, Geometry g1)`

Method Summary
`Geometry` `union()`
`static Geometry` `union(Geometry g0, Geometry g1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionInteracting

    public UnionInteracting(Geometry g0,
                            Geometry g1)

Method Detail

### union

    public static Geometry union(Geometry g0,
                                 Geometry g1)

### union

    public Geometry union()